Bug 1625207 - fbterm does not work
Summary: fbterm does not work
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: fbterm   
(Show other bugs)
Version: 29
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luis Bazan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-04 11:53 UTC by fujiwara
Modified: 2018-12-19 19:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description fujiwara 2018-09-04 11:53:43 UTC
To reproduce:

1. In GRUB menu, type "e" to edit the menu.
2. Append 'vga=ask 3' of the line of "...vmlinuz..." to enable a frame buffer and set the runlevel 3.
3. Press Ctrl-X to launch Linux
4. Select a screen size likes 1024x768x24
5. Log into the console
6. Run fbterm

CPU: 0 PID 4570 Comm: fbterm
Hardware name: innotek GmbH VirtualBox/VirtualBox, BIOS VirutalBox 12/01/2006
RIP: 0010:fb_deferred_io_fault+0x46/0xc0
RSP: 0000:ffffaf8702507da0 EFLAGS: 00010286
Call Trace:
 __do_fault+0x1f/0x130
 __handle_mm_default+0xdb3/0x12f0
 handle_mm_default+0xda/0x200
 __do_page_fault+0x240/0x4e0
 do_page_fault+0x32/0x110
 ? page_fault+0x2f/0x50
 page_fault+0x45/0x50

I cannot get backtrace with gdb but seems a buffer overflow in fbterm/screen_render.cpp:Screen::fillX()

115		u8 *dst = mVMemBase + y * mBytesPerLine + x * bytes_per_pixel;
(gdb) print i
$9 = 797
(gdb) print dst
$10 = (u8 *) 0x7fa65e99d000 <error: Cannot access memory at address 0x7fa65e99d000>
(gdb) print mVMemBase
$11 = (u8 *) 0x7fa65e99d000 <error: Cannot access memory at address 0x7fa65e99d000>


Note You need to log in before you can comment on or make changes to this bug.